﻿using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;

namespace WF_WebAdmin.Pages
{
    public partial class ValidQuote
    {
        private Quote[] quotes;

        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            quotes = await Http.GetFromJsonAsync<Quote[]>($"{NavigationManager.BaseUri}fake-dataValidQuote.json");
        }
    }
}
